Endpoint
GET https://api.stepfun.ai/v1/files/{file_id}
Path parameters
file_idstringrequired
Unique file ID.
Response
Returns a single File object.Example
- python
- js
- curl
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
🎉 New model Step 3.7 Flash is now live — a high-efficiency Flash model for real-world Agent / Coding / multimodal workflows. Learn more →
GET https://api.stepfun.ai/v1/files/{file_id}
file_id string required
from openai import OpenAI
client = OpenAI(api_key="STEP_API_KEY", base_url="https://api.stepfun.ai/v1")
print(client.files.retrieve("file-stepab"))
import OpenAI from "openai";
const openai = new OpenAI({
apiKey: "STEP_API_KEY",
baseURL: "https://api.stepfun.ai/v1"
});
async function main() {
const file = await openai.files.retrieve("file-stepab");
console.log(file);
}
main();
curl https://api.stepfun.ai/v1/files/file-abc \
-H "Authorization: Bearer $STEP_API_KEY"
{
"id": "file-abc123",
"object": "file",
"bytes": 140,
"created_at": 1613779121,
"filename": "salesOverview.pdf",
"purpose": "file-extract",
"status": "success"
}
Was this page helpful?